ID CVE-2017-10985
Summary An FR-GV-302 issue in FreeRADIUS 3.x before 3.0.15 allows "Infinite loop and memory exhaustion with 'concat' attributes" and a denial of service.
References
Vulnerable Configurations
  • cpe:2.3:a:freeradius:freeradius:3.0.0:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.0:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.3:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.3:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.4:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.4:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.5:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.5:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.6:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.6:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.7:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.7:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.8:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.8:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.9:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.9:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.10:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.10:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.11:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.11:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.12:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.12:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.13:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.13:*:*:*:*:*:*:*
  • cpe:2.3:a:freeradius:freeradius:3.0.14:*:*:*:*:*:*:*
    cpe:2.3:a:freeradius:freeradius:3.0.14:*:*:*:*:*:*:*
CVSS
Base: 7.8 (as of 03-10-2019 - 00:03)
Impact:
Exploitability:
CWE CWE-835
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE COMPLETE
cvss-vector via4 AV:N/AC:L/Au:N/C:N/I:N/A:C
redhat via4
advisories
rhsa
id RHSA-2017:2389
rpms
  • freeradius-0:3.0.13-8.el7_4
  • freeradius-devel-0:3.0.13-8.el7_4
  • freeradius-doc-0:3.0.13-8.el7_4
  • freeradius-krb5-0:3.0.13-8.el7_4
  • freeradius-ldap-0:3.0.13-8.el7_4
  • freeradius-mysql-0:3.0.13-8.el7_4
  • freeradius-perl-0:3.0.13-8.el7_4
  • freeradius-postgresql-0:3.0.13-8.el7_4
  • freeradius-python-0:3.0.13-8.el7_4
  • freeradius-sqlite-0:3.0.13-8.el7_4
  • freeradius-unixODBC-0:3.0.13-8.el7_4
  • freeradius-utils-0:3.0.13-8.el7_4
refmap via4
bid 99968
confirm http://freeradius.org/security/fuzzer-2017.html
debian DSA-3930
Last major update 03-10-2019 - 00:03
Published 17-07-2017 - 17:29
Back to Top